pydo.genai.update_openai_api_key()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.genai.update_openai_api_key(
api_key_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"api_key": "\"sk-ant-12345678901234567890123456789012\"",
"api_key_uuid": "\"12345678-1234-1234-1234-123456789012\"",
"name": "\"Production Key\"",
},
)Description
To update an OpenAI API key, send a PUT request to /v2/gen-ai/openai/keys/{api_key_uuid}.
Parameters
api_key_uuidstring requiredAPI key ID
api_keystring optionalExample:
"sk-ant-12345678901234567890123456789012"OpenAI API key
api_key_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"API key ID
namestring optionalExample:
"Production Key"Name of the key
Request Sample
Response Example
More Information
See /v2/gen-ai/openai/keys/{api_key_uuid} in the API reference for additional detail on responses, headers, parameters, and more.